---
title: React to Message | API Docs
---

POST

/api/partner/v2/chat\_messages/{chat\_message\_id}/reactions

Select code sample cURL (shell:curl)

```
const url = 'https://api.linqapp.com/api/partner/v2/chat_messages/1/reactions';
const options = {
  method: 'POST',
  headers: {
    'X-LINQ-INTEGRATION-TOKEN': '<X-LINQ-INTEGRATION-TOKEN>',
    'Content-Type': 'application/json'
  },
  body: '{"type":"love","operation":"add"}'
};


try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```
curl --request POST \
  --url https://api.linqapp.com/api/partner/v2/chat_messages/1/reactions \
  --header 'Content-Type: application/json' \
  --header 'X-LINQ-INTEGRATION-TOKEN: <X-LINQ-INTEGRATION-TOKEN>' \
  --data '{ "type": "love", "operation": "add" }'
```

- Production server api.linqapp.com/api/partner/v2/chat\_messages/{chat\_message\_id}/reactions

Adds or removes a reaction from a message

## Authorizations

- **[ApiKeyAuth](/v2/api/#apikeyauth/index.md)**

## Parameters

### Path Parameters

**chat\_message\_id**

required

integer

The message ID

## Request Body required

Media type application/json

object

**type**

required

The type of reaction

string

Allowed values: love like dislike laugh emphasize question

##### Example

```
love
```

**operation**

required

Whether to add or remove the reaction

string

Allowed values: add remove

##### Example

```
add
```

## Responses

### 201

Reaction added successfully

Media type application/json

object

**data**

object

**id**

integer

**chat\_message\_id**

integer

**reaction**

The type of reaction

string

Allowed values: love like dislike laugh emphasize question

**is\_from\_me**

boolean

**from\_phone**

string

**sent\_at**

string format: date-time

**created\_at**

string format: date-time

**updated\_at**

string format: date-time

##### Example

```
{
  "data": {
    "id": 456,
    "chat_message_id": 224,
    "reaction": "love",
    "is_from_me": false,
    "from_phone": "+15551234567",
    "sent_at": "2025-05-21T15:30:00.000-05:00",
    "created_at": "2025-05-21T15:30:00.000-05:00",
    "updated_at": "2025-05-21T15:30:00.000-05:00"
  }
}
```
